#include "dice.h"

#include <random>

unsigned int dice(unsigned int minDice, unsigned int maxDice)
{    
    static std::random_device rd;
    static std::mt19937 gen(rd());
    static std::uniform_int_distribution<> distrib(minDice, maxDice);

    return distrib(gen);
}
